Bug 163975 - Unexplained crash
Unexplained crash
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 12:03 EDT by Brad Smith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 19:16:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2005-07-22 12:03:19 EDT
I had just switched to my abiword window when it crashed. Unfortunately, I don't
have much more to offer than that and a bug-buddy report (I cannot currently
submit abiword bugs via bug-buddy. see #163974). 

Here is the report:
-------------------------------------------------------------------------
Backtrace was generated from '/usr/bin/AbiWord-2.2'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208329760 (LWP 16572)]
[New Thread -1216767056 (LWP 17143)]
[New Thread -1216500816 (LWP 17142)]
[New Thread -1216160848 (LWP 17141)]
[New Thread -1215894608 (LWP 17140)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x00884402 in ?? ()
#0  0x00884402 in ?? ()
#1  0x00d2afbb in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x05c6e080 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00884402 in ?? ()
#5  0x00b051f8 in raise () from /lib/libc.so.6
#6  0x00b06948 in abort () from /lib/libc.so.6
#7  0x08135c7d in AP_UnixApp::catchSignals ()
#8  0x08135d0a in signalWrapper ()
#9  <signal handler called>
#10 0x08215e2c in XAP_Frame::getCurrentView ()
#11 0x08136401 in AP_UnixApp::copyToClipboard ()
#12 0x082758ae in FV_View::cmdCopy ()
#13 0x08140f3b in ap_EditMethods::copy ()
#14 0x082508d9 in EV_EditMethod::Fn ()
#15 0x08251a9d in EV_Keyboard::invokeKeyboardMethod ()
#16 0x08254455 in ev_UnixKeyboard::charDataEvent ()
#17 0x08254510 in ev_UnixKeyboard::keyPressEvent ()
#18 0x08228d45 in XAP_UnixFrameImpl::_fe::key_press_event ()
#19 0x06034352 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#20 0x0027c285 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#21 0x0028a78b in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#22 0x0028bc53 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#23 0x0028c254 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#24 0x0610fac3 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#25 0x06032bc9 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x06032ef4 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x05edfd6e in gdk_screen_get_setting () from /usr/lib/libgdk-x11-2.0.so.0
#28 0x0528b3ee in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#29 0x0528e3f6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#30 0x0528e6e3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#31 0x060321b5 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#32 0x08137461 in AP_UnixApp::main ()
#33 0x0813358a in main ()

Thread 5 (Thread -1215894608 (LWP 17140)):
#0  0x00884402 in ?? ()
No symbol table info available.
#1  0x00b9dcec in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x0528e248 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3  0x0528e6e3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x054123de in link_thread_io_context () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x052a6e9a in g_static_private_free () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6  0x00d25b80 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x00ba7dee in clone () from /lib/libc.so.6
No symbol table info available.

Thread 4 (Thread -1216160848 (LWP 17141)):
#0  0x00884402 in ?? ()
No symbol table info available.
#1  0x00d277a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x001882db in _gnome_vfs_thread_pool_init ()
   from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#3  0x052a6e9a in g_static_private_free () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00d25b80 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00ba7dee in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread -1216500816 (LWP 17142)):
#0  0x00884402 in ?? ()
No symbol table info available.
#1  0x00d277a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x001882db in _gnome_vfs_thread_pool_init ()
   from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#3  0x052a6e9a in g_static_private_free () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00d25b80 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00ba7dee in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1216767056 (LWP 17143)):
#0  0x00884402 in ?? ()
No symbol table info available.
#1  0x00d277a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x001882db in _gnome_vfs_thread_pool_init ()
   from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#3  0x052a6e9a in g_static_private_free () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00d25b80 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00ba7dee in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208329760 (LWP 16572)):
#0  0x00884402 in ?? ()
No symbol table info available.
#1  0x00d2afbb in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x05c6e080 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00884402 in ?? ()
No symbol table info available.
#5  0x00b051f8 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x00b06948 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x08135c7d in AP_UnixApp::catchSignals ()
No symbol table info available.
#8  0x08135d0a in signalWrapper ()
No symbol table info available.
#9  <signal handler called>
No symbol table info available.
#10 0x08215e2c in XAP_Frame::getCurrentView ()
No symbol table info available.
#11 0x08136401 in AP_UnixApp::copyToClipboard ()
No symbol table info available.
#12 0x082758ae in FV_View::cmdCopy ()
No symbol table info available.
#13 0x08140f3b in ap_EditMethods::copy ()
No symbol table info available.
#14 0x082508d9 in EV_EditMethod::Fn ()
No symbol table info available.
#15 0x08251a9d in EV_Keyboard::invokeKeyboardMethod ()
No symbol table info available.
#16 0x08254455 in ev_UnixKeyboard::charDataEvent ()
No symbol table info available.
#17 0x08254510 in ev_UnixKeyboard::keyPressEvent ()
No symbol table info available.
#18 0x08228d45 in XAP_UnixFrameImpl::_fe::key_press_event ()
No symbol table info available.
#19 0x06034352 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#20 0x0027c285 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#21 0x0028a78b in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#22 0x0028bc53 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#23 0x0028c254 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#24 0x0610fac3 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#25 0x06032bc9 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#26 0x06032ef4 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#27 0x05edfd6e in gdk_screen_get_setting () from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#28 0x0528b3ee in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#29 0x0528e3f6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#30 0x0528e6e3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#31 0x060321b5 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#32 0x08137461 in AP_UnixApp::main ()
No symbol table info available.
#33 0x0813358a in main ()
No symbol table info available.
Comment 1 Marc Maurer 2006-11-15 19:16:09 EST
Most likely this is fixed upstream. Will be in AbiWord 2.4.7.

Note You need to log in before you can comment on or make changes to this bug.